package de.oaa.xxx.session.aufgaben;

import java.util.List;

public class AufgabenList {

    private List<Aufgabe> aufgaben;
    private List<Sperre> sperren;
    private List<Strafe> strafen;

    public List<Aufgabe> getAufgaben() { return aufgaben; }
    public void setAufgaben(List<Aufgabe> aufgaben) { this.aufgaben = aufgaben; }

    public List<Sperre> getSperren() { return sperren; }
    public void setSperren(List<Sperre> sperren) { this.sperren = sperren; }

    public List<Strafe> getStrafen() { return strafen; }
    public void setStrafen(List<Strafe> strafen) { this.strafen = strafen; }

    public int size() {
        int size = 0;
        if (aufgaben != null) size += aufgaben.size();
        if (sperren != null) size += sperren.size();
        if (strafen != null) size += strafen.size();
        return size;
    }
}
